Skip to content

insertCustomerLocation

WRITE

Insert customer location.

POST /api/v1/sales/insertCustomerLocation
curl -X POST '<your-host>/api/v1/sales/insertCustomerLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string",
    "name": "string",
    "address": {}
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "address": {
      "type": "object",
      "properties": {
        "addressLine1": {
          "type": "string"
        },
        "addressLine2": {
          "type": "string"
        },
        "city": {
          "type": "string"
        },
        "stateProvince": {
          "type": "string"
        },
        "countryCode": {
          "type": "string"
        },
        "postalCode": {
          "type": "string"
        }
      }
    },
    "customFields": {}
  },
  "required": [
    "customerId",
    "name",
    "address"
  ]
}